
Foreman - Bug #10125

Custom Made Role Cannot See Buid Progress Bar

04/13/2015 01:39 PM - Chris Pisano

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have created a custom Role in Foreman to allow users of a particular product to provision their own servers. When testing, they can

successfully build and manage servers but they do not get the green window with the build steps and progress bar. I have tested

putting one of the users in the pre-defined Manager role and the progress bar shows. I am not sure if this is a bug or if I just cannot

figure out the correct permissions. I am attaching a screenshot of the permissions my custom role has.

History

#1 - 04/20/2015 04:11 AM - Dominic Cleal

- Status changed from New to Feedback

Could you try adding "build_hosts" under Host/managed please?

#2 - 04/22/2015 10:41 AM - Chris Pisano

Thanks Dominic! That did the trick.

#3 - 04/22/2015 10:53 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Thanks for confirming.
